Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module colorspace Methods

## SetImageColorspace

SetImageColorspace() sets the colorspace member of the Image structure.

The format of the SetImageColorspace method is:

      MagickBooleanType SetImageColorspace(Image *image,
        const ColorspaceType colorspace)

A description of each parameter follows:

##### image

the image.

##### colorspace

the colorspace.

## TransformImageColorspace

TransformImageColorspace() transforms an image colorspace.

The format of the TransformImageColorspace method is:

      MagickBooleanType TransformImageColorspace(Image *image,
        const ColorspaceType colorspace)

A description of each parameter follows:

##### image

the image.

##### colorspace

the colorspace.

Public Key • Discourse Server • Studio • JqMagick